<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

var pscbModule = '${module}';
var pscbModuleId = ${mid};

function checkPSCBPay( form )
{
	var sum = parseFloat( form.sum.value.replace(",",".") );
	if ( isNaN( sum ) )	
	{
		alert( 'Введена некоректная сумма' );
		return false;
	}
	else if ( sum <= 0 )
	{
		alert( 'Введите сумму больше нуля' );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + sum + ' ${currencyTitleMedium}?');
}

function goGate( sum )
{
	jQuery.get( webexecuter, { action: 'PSCB', operation: 'pay', module: pscbModule, mid: pscbModuleId, contractId: contractId, ct: 'json', summa: sum }, 
		function( data )
		{
			var form = jQuery( "#pscbGateForm" )[0];
			form.message.value = data.message;
			form.marketPlace.value = data.marketPlace;
			form.signature.value = data.signature;
			form.action = data.url;
			form.submit();
		}
	);
}

</script>

<form method="post" id="pscbGateForm">
	<input type="hidden" name="message"/>
	<input type="hidden" name="marketPlace"/>
	<input type="hidden" name="signature"/>
</form>

<div id="paymentReport">
	<form>
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="operation" value="pay" />
		<%@include file="../include/error.jsp" %>
		
		<table class="tableFont tableWidth">
			<tr>
				<td class="textColor1 backgroundColor3  borderRadius"
					style="text-align: center; padding: 10px 20px;">
					<h3>Пополните счет c помощью сервиса <a href="http://www.pscb.ru/" target="_blank" class="textColor1">PSCB (Петербургский социальный коммерческий банк)</a></h3>
					<div style="padding: 0px 4px;">
						<nobr>
							<div style="padding: 0px 4px;"><nobr>Сумма: <input type="text" name="sum" size="12" style="text-align: center;"/>&nbsp;<button type="button" onClick="if(checkPSCBPay(this.form)) goGate( this.form.sum.value );">Оплатить</button></nobr></div>
						</nobr>
					</div>
				</td>
				<td style="width: 20px;">&nbsp;</td>
				<td style="vertical-align: top; text-align: right; padding: 0;"><div
						class="bgBalanceInformerWidget"></div></td>
			</tr>
		</table>
	</form>
	
	<div style="margin-top: 20px;">
		<form method="POST" action="" id="pscbListForm" >
			<input type="hidden" name="action" value="${action}">
			<input type="hidden" name="module" value="${module}">
			<input type="hidden" name="mid" value="${mid}">
			<input type="hidden" name="status" value="${dataMap['status']}">
			<input type="hidden" name="month" value="${dataMap['month']}">
			<input type="hidden" name="year" value="${dataMap['year']}">
			<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
			<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
		</form>
	
		<table class="tableFont tableWidth">
		  <tr>
			<td><div class="bgMonthAndYearWidget" formId="pscbListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
			<td style="text-align: right;"><div class="bgPagesWidget" formId="pscbListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
		  </tr>
		  <tr>
		  	<td><div style="display: none;">Статус: <select onchange="jQuery('#pscbListForm')[0].status.value=this.value;jQuery('#pscbListForm')[0].submit();">
		  	<c:forEach var="item" items="${dataMap['statusList']}">
		  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
		  	<option value="${item.code}"${selected}>${item.title}</option>
		  	</c:forEach>
		  	</select></div></td>
		  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">Дополнительный фильтр</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
		  </tr>
		</table>
	</div>
	
	<div class="report">
		<table cellspacing="1" class="table800">
			<col class="col1" />
			<col class="col2" />
			<col class="col3" />
			<col class="col4" />
			<thead>
				<tr>
					<td nowrap="nowrap">ID</td>
					<td>Дата оплаты</td>
					<td>Сумма</td>
					<td>Статус</td>
				</tr>
			</thead>
			<tbody>
				<c:forEach var="item" items="${dataMap['paymentList']}">
					<tr>
						<td nowrap="nowrap">${item.id }</td>
						<td><fmt:formatDate value="${item.transactionDate}" pattern="dd.MM.yyyy" /></td>
						<td>${item.sum }</td>
						<td>
							<c:choose>
								<c:when test="${item.status eq 'new'}">Новый</c:when>
								<c:when test="${item.status eq 'sent'}">В оплате</c:when>
								<c:when test="${item.status eq 'hold'}">Холд</c:when>
								<c:when test="${item.status eq 'undef'}">Неопределенное состояние</c:when>
								<c:when test="${item.status eq 'exp'}">Просрочен</c:when>
								<c:when test="${item.status eq 'err'}">Ошибка</c:when>
								<c:when test="${item.status eq 'rej'}">Отвергнут</c:when>
								<c:when test="${item.status eq 'ref'}">Возвращен</c:when>
								<c:when test="${item.status eq 'end'}">Оплачен</c:when>
								<c:otherwise>Неопределенное состояние</c:otherwise>
							</c:choose>
						</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>
	</div>
	
</div>